var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ContentChildren, EventEmitter, Input, Output, QueryList, ViewChildren } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormComponent, DynamicTemplateDirective } from "@ng2-dynamic-forms/core";
import { DynamicBootstrapFormControlComponent } from "./dynamic-bootstrap-form-control.component";
var DynamicBootstrapFormComponent = /** @class */ (function (_super) {
    __extends(DynamicBootstrapFormComponent, _super);
    function DynamicBootstrapFormComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.blur = new EventEmitter();
        _this.change = new EventEmitter();
        _this.focus = new EventEmitter();
        return _this;
    }
    __decorate([
        Input(),
        __metadata("design:type", FormGroup)
    ], DynamicBootstrapFormComponent.prototype, "group", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Array)
    ], DynamicBootstrapFormComponent.prototype, "model", void 0);
    __decorate([
        Output(),
        __metadata("design:type", EventEmitter)
    ], DynamicBootstrapFormComponent.prototype, "blur", void 0);
    __decorate([
        Output(),
        __metadata("design:type", EventEmitter)
    ], DynamicBootstrapFormComponent.prototype, "change", void 0);
    __decorate([
        Output(),
        __metadata("design:type", EventEmitter)
    ], DynamicBootstrapFormComponent.prototype, "focus", void 0);
    __decorate([
        ContentChildren(DynamicTemplateDirective),
        __metadata("design:type", QueryList)
    ], DynamicBootstrapFormComponent.prototype, "templates", void 0);
    __decorate([
        ViewChildren(DynamicBootstrapFormControlComponent),
        __metadata("design:type", QueryList)
    ], DynamicBootstrapFormComponent.prototype, "components", void 0);
    DynamicBootstrapFormComponent = __decorate([
        Component({
            selector: "dynamic-bootstrap-form",
            template: "<dynamic-bootstrap-form-control *ngFor=\"let controlModel of model\" [group]=\"group\" [hasErrorMessaging]=\"controlModel.hasErrorMessages\" [model]=\"controlModel\" [ngClass]=\"[controlModel.cls.element.host, controlModel.cls.grid.host]\" [templates]=\"templates\" (blur)=\"onEvent($event, 0)\" (change)=\"onEvent($event, 1)\" (focus)=\"onEvent($event, 2)\"></dynamic-bootstrap-form-control>"
        })
    ], DynamicBootstrapFormComponent);
    return DynamicBootstrapFormComponent;
}(DynamicFormComponent));
export { DynamicBootstrapFormComponent };

//# sourceMappingURL=dynamic-bootstrap-form.component.js.map
